# Source code for azure.mgmt.notificationhubs.models.shared_access_authorization_rule_create_or_update_parameters

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class SharedAccessAuthorizationRuleCreateOrUpdateParameters(Model):
        """Parameters supplied to the CreateOrUpdate Namespace AuthorizationRules.

        :param location: Gets or sets Namespace data center location.
        :type location: str
        :param name: Gets or sets Name of the Namespace AuthorizationRule.
        :type name: str
        :param properties: Gets or sets properties of the Namespace
         AuthorizationRules.
        :type properties: :class:`SharedAccessAuthorizationRuleProperties
         <azure.mgmt.notificationhubs.models.SharedAccessAuthorizationRuleProperties>`
        """

        _validation = {
            'properties': {'required': True},
        }

        _attribute_map = {
            'location': {'key': 'location', 'type': 'str'},
            'name': {'key': 'name', 'type': 'str'},
            'properties': {'key': 'properties', 'type': 'SharedAccessAuthorizationRuleProperties'},
        }

        def __init__(self, properties, location=None, name=None):
            self.location = location
            self.name = name
            self.properties = properties